/*******************   Padrões para os sistemas  ***********************/

* {
    font-family: 'Geologica', sans-serif;
    src: url(../fonts/Geologica.ttf)
}

body {
    overflow-x: hidden;
}

img {
    cursor: pointer !important;
}

a,
a:hover {
    text-decoration: none !important;
}

label {
    font-size: .800rem;
}

.nav-link {
    font-size: .800rem;
}

th,
td {
    font-size: .850rem;
}

button.disabled {
    pointer-events: none;
}

a.disabled {
    pointer-events: none;
}

.timeline .svg-inline--fa {
    width: 15px !important;
    height: 15px !important;
}

.tr-click:hover {
    cursor: pointer;
    background-color: #eeeeee;
}


/***************  Full calendar  **********************/

.fc-toolbar h2 {
    font-size: 12px !important;
}

.fc-button {
    font-size: 12px !important;

}

.fc-content {
    font-size: 10px !important;

}

@media(max-width:767px) {
    .fc-left button {
        font-size: 10px !important;
    }

    .fc-toolbar h2 {
        font-size: 9px !important;
    }

    .fc-right {
        font-size: 10px !important;
    }
}

/******************** data tables ********************/


#data-table_length,
#data-table_filter,
#data-table_info,
#data-table_paginate {
    font-size: .750rem;
}

.dataTables_length,
.dataTables_filter,
.dataTables_info,
.dataTables_paginate {
    font-size: .750rem;
}

/******************** data tables ********************/

.uppercase {
    text-transform: uppercase;
}

.lowercase {
    text-transform: lowercase;
}

.capitalize {
    text-transform: capitalize;
}


/******************** Preloader ********************/

#preloader {
    z-index: 10000 !important;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}



#preloader img {
    max-width: 150px;
    height: auto;
    -webkit-animation: shake 1500ms infinite;
    animation: faded 1500ms infinite;
    margin-bottom: 20px;
}

@keyframes faded {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}